{% load i18n %}
{% load translate_url %}
{% load static %}

<!DOCTYPE html>
{% comment %}
Translators: This string is used for the HTML page language (<html lang="XX">)
{% endcomment %}
<html lang="{% trans 'en' context "language in html header" %}">
    <head>
        <meta charset="utf-8">
        <meta content="IE=edge" http-equiv="x-ua-compatible">
        <meta name="viewport" content="width=device-width,initial-scale=1,shrink-to-fit=no">
        <title>{% block title %}UNTITLED PAGE{% endblock %} - OpenPaperwork</title>
        <link rel="stylesheet" href="{% static "openpaper_base.css" %}">
        {% check_has_translated_url %}
        {% if has_translated_url %}
        <link rel="alternate" hreflang="en" href="{% translate_url en %}" />
        <link rel="alternate" hreflang="fr" href="{% translate_url fr %}" />
        <link rel="alternate" hreflang="de" href="{% translate_url de %}" />
        <link rel="alternate" hreflang="zh-Hans" href="{% translate_url zh-hans %}" />
        {% endif %}
        <link rel="shortcut icon" type="image/png" href="{% static "favicon.png" %}"/>
        {% block extra_headers %}{% endblock %}
    </head>
    <body>
        <div class="c-site-frame">
            <nav class="c-site-frame__navigation c-site-navigation u-flex u-flex-align-items-center u-flex-justify-space-between">
                <a href="{% url 'home:index' %}" class="c-site-navigation__site-name">OpenPaper.work</a>

                <div class="u-flex u-flex-nowrap">
                    <a href="{% url 'home:index' %}" class="c-site-navigation__link">{% trans "Introduction" %}</a>
                    <a href="{% url 'home:projects' %}" class="c-site-navigation__link">{% trans "Projects" context "header link" %}</a>
                    <a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork/wikis/Contact" class="c-site-navigation__link">{% trans "Community" context "header link" %}</a>
                    <div class="c-site-navigation__link">
                        <a href="{% translate_url en %}" title="{% trans "English" %}"><img
                            src="{% static "flag_english_us.gif" %}"
                            alt="{% trans "English" %}" /></a>
                        /
                        <a href="{% translate_url zh-hans %}" title="{% trans "Simplified Chinese" %}"><img
                            src="{% static "flag_simplified_chinese.gif" %}"
                            alt="{% trans "Simplified Chinese" %}" /></a>
                        /
                        <a href="{% translate_url fr %}" title="{% trans "French" %}"><img
                            src="{% static "flag_french.gif" %}"
                            alt="{% trans "French" %}" /></a>
                        /
                        <a href="{% translate_url de %}" title="{% trans "German" %}"><img
                            src="{% static "flag_german.gif" %}"
                            alt="{% trans "German" %}" /></a>
                    </div>
                </div>
            </nav>

            {% block extra_head %}{% endblock %}
            <main class="c-site-frame__body">
                <div class="wrap-container">

                    {% block body %}{% endblock %}
                    {% block content %}{% endblock %}{# some app use 'content' #}

                </div>
            </main>

            <footer class="c-site-frame__footer c-site-footer">
                <ul>
                    {% include "footer.html" %}
                    <li><a href="https://gitlab.gnome.org/World/OpenPaperwork/paperwork">Git</a></li>
                </ul>
                <br/>
                <p>
                &copy; 2024
                <a href="https://openpaper.work">OpenPaper.work</a>
                </p>
            </footer>
        </div>

        <script data-goatcounter="https://openpaperwork.goatcounter.com/count"
                async src="//gc.zgo.at/count.js"></script>
    </body>
</html>
